Bug 1093800 - sks: non-persistent XSS flaw
Summary: sks: non-persistent XSS flaw
Keywords:
Status: CLOSED DUPLICATE of bug 1093562
Alias: None
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1093563 1093564 1093801 1093802
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-05-02 17:24 UTC by Vincent Danen
Modified: 2019-09-29 13:16 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-05-02 18:28:01 UTC


Attachments (Terms of Use)

Description Vincent Danen 2014-05-02 17:24:57 UTC
A non-persistent Cross-Site Scripting (XSS) flaw was found in sks, an OpenPGP keyserver [1],[2].  A patch is available [3].

A CVE has been requested but has not yet been assigned [4].

[1] https://bitbucket.org/skskeyserver/sks-keyserver/issue/26/unfiltered-xss
[2] https://bugzilla.mozilla.org/show_bug.cgi?id=952077
[3] https://bitbucket.org/skskeyserver/sks-keyserver/commits/88d453cdc858d1352c61a4d4a6cd5b1ac17f2724
[4] http://www.openwall.com/lists/oss-security/2014/05/01/16

Comment 1 Vincent Danen 2014-05-02 17:25:54 UTC
Created sks tracking bugs for this issue:

Affects: fedora-all [bug 1093801]
Affects: epel-6 [bug 1093802]

Comment 2 Vincent Danen 2014-05-02 18:28:01 UTC

*** This bug has been marked as a duplicate of bug 1093562 ***


Note You need to log in before you can comment on or make changes to this bug.